/*************************************************************
 *
 *      play.h
 *
 *************************************************************/


#include "/usr/avr/include/avr/io.h"
#include "/usr/avr/include/avr/pgmspace.h"
#include <avr/pgmspace.h>
#include "/usr/avr/include/inttypes.h"
#include "/usr/avr/include/avr/interrupt.h"
#include "/usr/avr/include/avr/signal.h"
#include "/usr/avr/include/stdlib.h"
#include "/usr/avr/include/string.h"

#include "uart.h"
#include "protos.h"

#define TRUE    1
#define FALSE   0



#define PROMPT     Printf("\n\r>");

/*
 * binary constants
  */
// the bit patterns below are Octal ! 
//  - the leading zero & the shifts reflect this
// Usage:         c = bin(010001011) ;
#define bin(x) \
               ((x & 000000001) >> 0)| \
               ((x & 000000010) >> 2)| \
               ((x & 000000100) >> 4)| \
               ((x & 000001000) >> 6)| \
               ((x & 000010000) >> 8)| \
               ((x & 000100000) >> 10)| \
               ((x & 001000000) >> 12)| \
               ((x & 010000000) >> 14)   


// turn a hex digit into 'decimal'

#define BREAK_IF_CHAR   if( bit_is_set(UCSRA, RXC) ) { c = UDR; break; }


#define SET_CTS_HIGH   sbi(PORTD,3)
#define SET_CTS_LOW    cbi(PORTD,3)
// TRUE if RTS is HIGH
#define RTS            ( (PIND&0x04) == 0x04)

