/*************************************************************
 *
 *      uart.h
 *
 *************************************************************/

#ifndef __UART_H__
#define __UART_H__



/* UART Baud rate calculation */
#define UART_CPU               4000000
#define UART_BAUD_RATE         9600
#define UART_BAUD_SELECT       (UART_CPU/(UART_BAUD_RATE*16l)-1l)

/* Global functions */
extern void SendByte        (uint8_t Data);
extern uint8_t  ReceiveByte (void);
extern void PrintfProgStr   (uint8_t* pBuf);
extern void PrintfEndOfLine (void);
extern void Printfuint8_t   (uint8_t Data);
extern void Printfu16       (uint16_t Data);
extern void Init_Uart       (void);

/* Macros */
#define Printf(string) (PrintfProgStr(PSTR(string)))
#define SLASHn           PrintfEndOfLine
#endif
